# Proxy listening address, optional, defaults to :53
listen_addresses = [ "192.168.3.222:53" ]
# SO reuse port true/false, defaults to false
#so_reuse_port = true

# Desired upstream use order, defaults to "udp", "tcp", "tcp-tls", set only one to disable the others
upstream_order = [ "udp", "tcp", "tcp-tls" ]

[log]
# Console error log, defaults to "error"
# Set to "debug" for troubleshooting
level = "debug"
verbose = true

[client]
name = "Pretoria"
secret_key = "0d82f88b7524b08c6620607c"

# Local DNS servers to forward domain specific requests
[[local_dns_server]]
addresses = [ "192.168.3.5:53" ]
local_domains = [ "groupsrus.local" ]

# The sections below are for testing purposes only
# ------------------------------------------------
# "Normal" Upstream servers, defaults to DNSFilter DNS Servers 103.247.36.36 and 103.247.37.37
#[[upstream_server]]
#ip_address = "103.247.36.36"
# Optional, defaults to 53
#port = 53

# "TLS" Upstream servers, defaults to DNSFilter DNS-over-TLS Servers 103.247.36.36 and 103.247.37.37
#[[tls_upstream_server]]
#auth_name = "dev-dns2.dnsfilter.com"
#ip_address = "45.77.74.115"
# Optional, defaults to 853
#port = 853
# Optional, useful for self-signed certs
#[[tls_upstream_server.pinhash]]
#digest = "sha256"
#hash = "lrdOgE4H0RyJiSVe9360dSqUu8w0iA8O1cjAsUMijAY="
#[[tls_upstream_server.pinhash]]
#digest = "sha256"
#hash = "this is an invalid hash"